Willkommen Gast. Bitte einloggen oder registrieren. Haben Sie Ihre Aktivierungs E-Mail übersehen?
01.12.2020, 03:56:07

.
Einloggen mit Benutzername, Passwort und Sitzungslänge

Mitglieder
  • Mitglieder insgesamt: 24840
  • Letzte: Foxinity
Statistiken
  • Beiträge insgesamt: 697731
  • Themen insgesamt: 56462
  • Heute online: 475
  • Am meisten online: 2287
  • (22.01.2020, 19:20:24)
Benutzer Online
Mitglieder: 2
Gäste: 383
Gesamt: 385

Autor Thema: [erledigt] Kernel-Update 4.13. -4.15. mit Fehlermeldungen  (Gelesen 967 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

[erledigt] Kernel-Update 4.13. -4.15. mit Fehlermeldungen
« am: 25.05.2018, 18:14:24 »
LM 18.3 KDE 64bit

Servus Minters,

da bin ich jetzt in einer Sackgasse gelandet:

E: linux-image-4.13.0-43-generic: Unterprozess installiertes post-installation-Skript gab den Fehlerwert 2 zurück
E: linux-image-extra-4.13.0-43-generic: Abhängigkeitsprobleme - verbleibt unkonfiguriert
E: linux-image-4.15.0-15-generic: Unterprozess installiertes post-installation-Skript gab den Fehlerwert 2 zurück
E: linux-image-extra-4.15.0-15-generic: Abhängigkeitsprobleme - verbleibt unkonfiguriert

Trotz mehrfacher Versuche, Kernel zu löschen und neu zu installieren, lande ich immer wieder bei dieser Meldung w/post-installationsskript.
sudo dpkg -l linux-[ihs]* | sed '1,6d'| grep -vE '^ii|^un|^rc'
[sudo] Passwort für hans:
iF  linux-image-4.13.0-43-generic       4.13.0-43.48~16.04.1 amd64        Linux kernel image for version 4.13.0 on 64 bit x86 SMP
iF  linux-image-4.15.0-15-generic       4.15.0-15.16~16.04.1 amd64        Linux kernel image for version 4.15.0 on 64 bit x86 SMP
iU  linux-image-extra-4.13.0-43-generic 4.13.0-43.48~16.04.1 amd64        Linux kernel extra modules for version 4.13.0 on 64 bit x86 SMP
iU  linux-image-extra-4.15.0-15-generic 4.15.0-15.16~16.04.1 amd64        Linux kernel extra modules for version 4.15.0 on 64 bit x86 SMP

Weiter bringt:

sudo apt-get purge -o dpkg::options::="--force-remove-reinstreq" linux-image-4.13.0-43-generic
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Die folgenden Pakete werden ENTFERNT:
  linux-image-4.13.0-43-generic* linux-image-extra-4.13.0-43-generic*
0 aktualisiert, 0 neu installiert, 2 zu entfernen und 0 nicht aktualisiert.
4 nicht vollständig installiert oder entfernt.
Nach dieser Operation werden 239 MB Plattenplatz freigegeben.
Möchten Sie fortfahren? [J/n] j
(Lese Datenbank ... 282818 Dateien und Verzeichnisse sind derzeit installiert.)
Entfernen von linux-image-extra-4.13.0-43-generic (4.13.0-43.48~16.04.1) ...
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.13.0-43-generic /boot/vmlinuz-4.13.0-43-generic
run-parts: executing /etc/kernel/postinst.d/dkms 4.13.0-43-generic /boot/vmlinuz-4.13.0-43-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.13.0-43-generic /boot/vmlinuz-4.13.0-43-generic
update-initramfs: Generating /boot/initrd.img-4.13.0-43-generic
Warning: No support for locale: de_DE.utf8
run-parts: executing /etc/kernel/postinst.d/pm-utils 4.13.0-43-generic /boot/vmlinuz-4.13.0-43-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 4.13.0-43-generic /boot/vmlinuz-4.13.0-43-generic
/usr/sbin/grub-mkconfig: 35: /etc/default/grub: 3: not found
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 127
dpkg: Fehler beim Bearbeiten des Paketes linux-image-extra-4.13.0-43-generic (--purge):
 Unterprozess installiertes post-removal-Skript gab den Fehlerwert 1 zurück
Entfernen von linux-image-4.13.0-43-generic (4.13.0-43.48~16.04.1) ...
Examining /etc/kernel/prerm.d.
run-parts: executing /etc/kernel/prerm.d/dkms 4.13.0-43-generic /boot/vmlinuz-4.13.0-43-generic
dkms: removing: nvidia-396 396.24 (4.13.0-43-generic) (x86_64)

-------- Uninstall Beginning --------
Module:  nvidia-396
Version: 396.24
Kernel:  4.13.0-43-generic (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.                                                                                                                                                                     
                                                                                                                                                                                                                                             
nvidia_396.ko:                                                                                                                                                                                                                               
 - Uninstallation                                                                                                                                                                                                                           
   - Deleting from: /lib/modules/4.13.0-43-generic/kernel/drivers/char/drm/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.


nvidia_396_modeset.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.13.0-43-generic/kernel/drivers/char/drm/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.


nvidia_396_drm.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.13.0-43-generic/kernel/drivers/char/drm/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.


nvidia_396_uvm.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.13.0-43-generic/kernel/drivers/char/drm/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

depmod....

DKMS: uninstall completed.
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 4.13.0-43-generic /boot/vmlinuz-4.13.0-43-generic
update-initramfs: Deleting /boot/initrd.img-4.13.0-43-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 4.13.0-43-generic /boot/vmlinuz-4.13.0-43-generic
/usr/sbin/grub-mkconfig: 35: /etc/default/grub: 3: not found
run-parts: /etc/kernel/postrm.d/zz-update-grub exited with return code 127
Failed to process /etc/kernel/postrm.d at /var/lib/dpkg/info/linux-image-4.13.0-43-generic.postrm line 330.
dpkg: Fehler beim Bearbeiten des Paketes linux-image-4.13.0-43-generic (--purge):
 Unterprozess installiertes post-removal-Skript gab den Fehlerwert 1 zurück
Fehler traten auf beim Bearbeiten von:
 linux-image-extra-4.13.0-43-generic
 linux-image-4.13.0-43-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)

Jetzt weiß ich momentan nicht weiter,
Die Deinstallation von 4.15. hat wohl auch fehlgeschlagen.
« Letzte Änderung: 01.06.2018, 11:06:54 von 85hans »

{°-°}

  • Gast
Re: Kernel-Update 4.13. -4.15. mit Fehlermeldungen
« Antwort #1 am: 26.05.2018, 10:42:46 »
Die Option force-remove-reinstreq ist für Pakete, bei denen sich die Paketverwaltung meldet mit: "Paket ist in einem sehr schlechten inkonsistenten Zustand - Sie sollten es  nochmal installieren, bevor Sie die Konfiguration versuchen."

Hat das bei der Installation der Kernel schon geklemmt? Ist eine /boot Partition vorhanden (z. B. bei vollverschlüsselten Systemen) bzw. ausreichend Speicherplatz vorhanden?
df -h; df -iWas ist installiert?
dpkg -l 'linux-[ihms]*'Was meldet die Paketverwaltung beim Selbsttest?
sudo dpkg --audit

Re: Kernel-Update 4.13. -4.15. mit Fehlermeldungen
« Antwort #2 am: 26.05.2018, 13:41:54 »
Hi :)
du hast durch deine terminal installallationen / entfernungen wohl was verdaddelt...
ich würde die einzelnen pakete der nicht aktiven kernel purgen..

warum machst du das nicht alles in der aktualisierungsverwaltung? dann gibt es keine problem bei kernel update oder entfernung.

Re: Kernel-Update 4.13. -4.15. mit Fehlermeldungen
« Antwort #3 am: 01.06.2018, 10:47:19 »
Besten Dank für eure Antworten.

Mit viel Mühe ist es mir in Synaptic gelungen, zuerst den 4.15er und dann den 4.13er zu deinstallieren.
Eigentlich dachte ich, dass das System damit nicht mehr bootfähig wäre.
Aber zu meiner großen Überraschung tauchte plötzlich ein 4.10er Kernel auf.
Der bootete zwar, war aber nicht voll arbeitsfähig. Er war nur teilweise installiert.
Der war dann offensichtlich der Grund für die Fehlermeldungen bez. 4.13 und 4.15.
Nachdem LAN und WLAN nicht funktionierten, konnte ich auch nicht nachinstallieren.

Also habe ich jetzt ein neu installiertes System mit einem 4.15.0-22 drauf.  :-X

« Letzte Änderung: 01.06.2018, 10:56:56 von 85hans »

Re: Kernel-Update 4.13. -4.15. mit Fehlermeldungen
« Antwort #4 am: 01.06.2018, 11:19:16 »
warum machst du das nicht alles in der aktualisierungsverwaltung?
Wieso einfach wenn es umständlich auch geht  ;D
(Das musste jetzt einfach sein  :D)

 

1. Advent
1. Advent